const router = require('express').Router();
const pug = require('pug');

const profilePug = pug.compileFile('pug/mysubs.pug');

module.exports = router
  .get('/profile', guard, (req, res) => {
    res.send(profilePug({ user: req.user }));
  });

function guard(req, res, next) {
  if (req.user) {
    next();
  } else {
    res.redirect('/login');
  }
}